repo/gentoo:master commit in: dev-ml/opam-installer/

"Thomas Bracht Laumann Jespersen" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786607366.13e89e75704977488e1ddf0301df4915693d236d.laumann@gentoo>
commit:     13e89e75704977488e1ddf0301df4915693d236d
Author:     Kate <kit-ty-kate <AT> exn <DOT> st>
AuthorDate: Fri Jul 10 14:26:24 2026 +0000
Commit:     Thomas Bracht Laumann Jespersen <laumann <AT> gentoo <DOT> org>
CommitDate: Thu Aug 13 07:49:26 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=13e89e75

dev-ml/opam-installer: add 2.5.2

Bug: https://bugs.gentoo.org/979018
Signed-off-by: Kate <kit-ty-kate <AT> exn.st>
Part-of: https://codeberg.org/gentoo/gentoo/pulls/1365
Signed-off-by: Thomas Bracht Laumann Jespersen <laumann <AT> gentoo.org>

 dev-ml/opam-installer/Manifest                    |  1 +
 dev-ml/opam-installer/opam-installer-2.5.2.ebuild | 47 +++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/dev-ml/opam-installer/Manifest b/dev-ml/opam-installer/Manifest
index 8cb11fd2ec5b..0822c16dd1c5 100644
--- a/dev-ml/opam-installer/Manifest
+++ b/dev-ml/opam-installer/Manifest
@@ -3,3 +3,4 @@ DIST opam-2.3.0.tar.gz 1128521 BLAKE2B 1567dbf9f2a944f2399820a1007a0d0943c54e158
 DIST opam-2.4.1.tar.gz 1191951 BLAKE2B 21c6e5e59741699233be0375e7357ab4f8178f2e80bb347f460ac6e53b7fe3ff63dbfb21aeab6dda51ad937b30050d2eeb55e8b3bd6cacbea9f23fd8321a4646 SHA512 ee1656715f7e03c36ed9aa0a158033bbdb977d3e9017efa0ceddcd7b073e9b587eb6340ddf1916d9da197c7f48766e569221e6d8e43314bf761326329e4be0a6
 DIST opam-2.5.1.tar.gz 1277085 BLAKE2B ce0b3224549144adcd9bb1a185b117a14a4ab3247e33dd882382ff5e1adae14a21acc28fb97a14577e464588d95369f4104663875151574c201819bc472b40ff SHA512 213f65253e12db5e64ece137db48eb031acb683ac3c0ecd3c02d1127a55777ef2d47298ebdffcdbb8c55a3a08ab0ec0a675698b05d72a3fd1649c89af8fdd150
 DIST opam-full-2.1.6.tar.gz 11704198 BLAKE2B 20e74551760cadf1d911e72c34502e1e7e62003f8ebc83f3b9cb46c712e13fb5f85f41421cc74b051c2e348e0c0a17f4ea34bf655f7ec48cfcdab1e0d8a57a11 SHA512 2bb24db05dc39d6e8294c10b5a6bb2dd8f675a4d56e1dc9a2e9bc576f54d14a1709005219c25586df9382897ab7ba5ea0636765410f01c06958ec59be9f14b4c
+DIST opam-2.5.2.tar.gz 1283376 BLAKE2B db74d81c9ef0ef5f54fef5c0b9f2965cd74c4dec33b17f5108e756534e73fc6de0613a01567061a9d837ee7d1326b840c138106bcf150f321f353f661a2b89e5 SHA512 0b15627c4a31d3abcdbb5885bf2e7f4dee9ffddad2144855d1e1e18d66edc379e3a2b0a378097c35897e571f856b61aadabb47672d75401f6f6231f33ae475c8

diff --git a/dev-ml/opam-installer/opam-installer-2.5.2.ebuild b/dev-ml/opam-installer/opam-installer-2.5.2.ebuild
new file mode 100644
index 000000000000..c3e617caa681
--- /dev/null
+++ b/dev-ml/opam-installer/opam-installer-2.5.2.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit dune
+
+DESCRIPTION="Core installer for opam packages"
+HOMEPAGE="https://opam.ocaml.org/ https://github.com/ocaml/opam"
+SRC_URI="https://github.com/ocaml/opam/archive/${PV/_/-}.tar.gz -> opam-${PV}.tar.gz"
+S="${WORKDIR}/opam-${PV/_/-}"
+
+LICENSE="LGPL-2.1"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="+ocamlopt"
+RESTRICT="test" # sandbox not working
+
+RDEPEND="
+	<dev-ml/cmdliner-2.0.0:=[ocamlopt?]
+	dev-ml/jsonm:=[ocamlopt?]
+	dev-ml/ocamlgraph:=[ocamlopt?]
+	dev-ml/ocaml-sha:=[ocamlopt?]
+	~dev-ml/opam-common-${PV}:=[ocamlopt?]
+	dev-ml/opam-file-format:=[ocamlopt?]
+	dev-ml/re:=[ocamlopt?]
+	dev-ml/swhid_core:=[ocamlopt?]
+	dev-ml/stdlib-shims:=[ocamlopt?]
+	dev-ml/uchar:=[ocamlopt?]
+	dev-ml/uutf:=[ocamlopt?]
+"
+DEPEND="${RDEPEND}"
+BDEPEND="dev-ml/findlib"
+
+src_configure() {
+	:
+}
+
+src_compile() {
+	dune-compile ${PN}
+}
+
+src_install() {
+	dune-install ${PN}
+	mv "${ED}"/usr/share/doc/${PF}/${PN}/* \
+		"${ED}"/usr/share/doc/${PF} || die
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.